Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001803I6 LibraryGeneralpublic2015-12-16 16:152015-12-31 20:14
ReporterDavidG 
Assigned ToDavidG 
PrioritynormalSeverityseriousReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version6/12 
Target VersionFixed in Version6/12 
Summary0001803: Spurious '1' emitted after processing PlayerTo()
DescriptionAfter processing a call to PlayerTo(), the parser will emit a '1' character.
Minimal Source Text To Reproduce
Constant NO_SCORE;
Constant Story "Test";
Constant Headline "^A sample.^";
Include "Parser";
Include "VerbLib";

Object kitchen "Kitchen"
	with description "You are in a kitchen. There is a window here 
		which you should try to go through.",
	has light;

Object window "window" kitchen
	with name 'window',
	description "Framed by celery green curtains, you see nothing 
		special about the window.",
	Before [;
	Climb,Enter:
		print_ret "You squeeze yourself into the window and fall 
		out the other side.^",
		PlayerTo(backyard);
	],
	has scenery container openable;

Object backyard "Back Yard"
	with description "You are in your neighbor's back yard. It is 
		barely cloudy and already hot this morning. The
		healthy, dark green grass is well manicured. A 
		high wooden fence encompasses the area, painted a burnt 
		umber. The back door is to the east. Your kitchen 
		window is to the south.",
	before [;
	Go:
		if (noun == s_obj) {
			print "Climbing over the fence you squeeze back 
			through your kitchen window.^";
		}
	],
	s_to kitchen,
	has light;

[ Initialise;
	Location = Kitchen;
];

Include "Grammar";
Additional InformationAlso reported at https://github.com/DavidGriffith/inform6lib/issues/18 [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0004242)
DavidG (developer)
2015-12-18 20:29

Probable late-night fumble. Bug was in test code.

- Issue History
Date Modified Username Field Change
2015-12-16 16:15 DavidG New Issue
2015-12-16 16:15 DavidG Status new => assigned
2015-12-16 16:15 DavidG Assigned To => DavidG
2015-12-18 20:29 DavidG Note Added: 0004242
2015-12-18 20:29 DavidG Status assigned => resolved
2015-12-18 20:29 DavidG Resolution open => fixed
2015-12-31 20:14 DavidG Status resolved => closed
2015-12-31 20:14 DavidG Fixed in Version => 6/12


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker